.post:hover .post-s {
        width: 255px;
        height: 478.5px;
    }

    .post-s {
        width: 0px;
        height: 400px;
        background-color: azure;
        opacity: 0.8;
        position: absolute;
        top: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        overflow: hidden;
        transition: 0.7s ease;
        word-wrap: break-word;
        
    }
    .post-s h2 {
        color:white;
        font-size: 50px;
        border: 6px solid white;
        padding: 10px 30px;
    }